/***********************************************************************************************************************
 *
 * blueBill Mobile - Android - open source birding
 * Copyright (C) 2009-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluebill.tidalwave.it/mobile
 * SCM: https://java.net/hg/bluebill-mobile~android-src
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.taxonomy.factsheet.impl.commonnames;

import javax.annotation.Nonnull;
import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import it.tidalwave.role.ui.PresentationModel;
import it.tidalwave.bluebill.mobile.taxonomy.factsheet.ui.commonnames.TaxonCommonNamesFactSheetFlowController;
import lombok.RequiredArgsConstructor;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
@RequiredArgsConstructor
public class ShowCommonNameInFullScreenAction extends AbstractAction
  {
    @Nonnull
    private final PresentationModel commonNamesPM;

    @Nonnull
    private final TaxonCommonNamesFactSheetFlowController flowController;
            
      {
        putValue(NAME, "Show in full screen"); // FIXME i18n
      }

    public void actionPerformed (final @Nonnull ActionEvent event) 
      {
        flowController.showCommonNameInFullScreen(commonNamesPM);
      }        
  }