/***********************************************************************************************************************
 *
 * blueBill Mobile - Android - open source birding
 * Copyright (C) 2009-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluebill.tidalwave.it/mobile
 * SCM: https://java.net/hg/bluebill-mobile~android-src
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.taxonomy.factsheet.impl.sound;

import javax.annotation.Nonnull;
import java.awt.event.ActionEvent;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import it.tidalwave.mobile.media.Media;
import it.tidalwave.bluebill.mobile.taxonomy.factsheet.ui.sound.TaxonSoundFactSheetView;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
@SuppressWarnings("serial")
public class StopAction extends TaxonSoundFactSheetActionSupport
  {
    private static final Logger log = LoggerFactory.getLogger(StopAction.class);

    @Nonnull
    private final PlayController playController;

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    public StopAction (final @Nonnull Media media,
                       final @Nonnull PlayController playController,
                       final @Nonnull TaxonSoundFactSheetView view) 
      {
        super(media, view);
        this.playController = playController;
        putValue(NAME, "stop");
        putValue(LARGE_ICON_KEY, "stop");
//        putValue(NAME, getMessage(_, "downloadMedia"));
      }

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    public void actionPerformed (final @Nonnull ActionEvent event)
      {
        log.info("actionPerformed({})", event);        
        playController.stop();
      }      

    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    @Override
    public boolean isEnabled() 
      {
        return playController.isPlaying(media);
      }
  }