/***********************************************************************************************************************
 *
 * blueBill Mobile - Android - open source birding
 * Copyright (C) 2009-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluebill.tidalwave.it/mobile
 * SCM: https://java.net/hg/bluebill-mobile~android-src
 *
 **********************************************************************************************************************/
package it.tidalwave.bluebill.mobile.taxonomy.factsheet.impl.sound;

import javax.swing.AbstractAction;
import it.tidalwave.mobile.media.Media;
import it.tidalwave.bluebill.mobile.taxonomy.factsheet.ui.sound.TaxonSoundFactSheetView;
import java.util.Arrays;
import javax.annotation.Nonnull;
import lombok.RequiredArgsConstructor;
import static it.tidalwave.mobile.util.Downloadable.*;

/***********************************************************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 **********************************************************************************************************************/
@RequiredArgsConstructor @SuppressWarnings("serial")
/* package */ abstract class TaxonSoundFactSheetActionSupport extends AbstractAction
  {
    protected static final Class<TaxonSoundFactSheetActionSupport> _ = TaxonSoundFactSheetActionSupport.class;

    protected final Media media;
    
    protected final TaxonSoundFactSheetView view;
    
    /*******************************************************************************************************************
     *
     *
     ******************************************************************************************************************/
    public boolean isMediaInStatus (final @Nonnull Status ... status)
      {
        return Arrays.asList(status).contains(media.as(Downloadable).getStatus());
      }
  }
